Bug 1030574 - [abrt] ImageMagick-6.7.8.9-5.fc19: DestroyImageList: Process /usr/bin/display was killed by signal 6 (SIGABRT)
[abrt] ImageMagick-6.7.8.9-5.fc19: DestroyImageList: Process /usr/bin/display...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c4db58c3b0957e1189a0ab0cc2a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 12:26 EST by Dan Stahlke
Modified: 2013-11-22 03:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 03:46:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.86 KB, text/plain)
2013-11-14 12:27 EST, Dan Stahlke
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-14 12:27 EST, Dan Stahlke
no flags Details
File: core_backtrace (12.94 KB, text/plain)
2013-11-14 12:27 EST, Dan Stahlke
no flags Details
File: dso_list (3.00 KB, text/plain)
2013-11-14 12:27 EST, Dan Stahlke
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-14 12:27 EST, Dan Stahlke
no flags Details
File: maps (15.34 KB, text/plain)
2013-11-14 12:27 EST, Dan Stahlke
no flags Details
File: open_fds (148 bytes, text/plain)
2013-11-14 12:27 EST, Dan Stahlke
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2013-11-14 12:27 EST, Dan Stahlke
no flags Details

  None (edit)
Description Dan Stahlke 2013-11-14 12:26:59 EST
Description of problem:
I inadvertently typed some words into `display` because it had focus.  The picture flipped upside down.  I think that when I went to close the window I might have inadvertently resized it.  Then it crashed.

Version-Release number of selected component:
ImageMagick-6.7.8.9-5.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/display /tmp/igraphANKs9e.png
crash_function: DestroyImageList
executable:     /usr/bin/display
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov 13 14:17:26 psi abrt-hook-ccpp[20044]: Saved core dump of pid 20017 (/usr/bin/display) to /var/tmp/abrt/ccpp-2013-11-13-14:17:26-20017 (66334720 bytes)

Truncated backtrace:
Thread no. 1 (4 frames)
 #7 DestroyImageList at magick/list.c:447
 #8 DisplayImageCommand at wand/display.c:633
 #9 MagickCommandGenesis at wand/mogrify.c:161
 #10 DisplayMain at utilities/display.c:89

Potential duplicate: bug 888913
Comment 1 Dan Stahlke 2013-11-14 12:27:06 EST
Created attachment 824065 [details]
File: backtrace
Comment 2 Dan Stahlke 2013-11-14 12:27:10 EST
Created attachment 824066 [details]
File: cgroup
Comment 3 Dan Stahlke 2013-11-14 12:27:13 EST
Created attachment 824067 [details]
File: core_backtrace
Comment 4 Dan Stahlke 2013-11-14 12:27:16 EST
Created attachment 824068 [details]
File: dso_list
Comment 5 Dan Stahlke 2013-11-14 12:27:20 EST
Created attachment 824069 [details]
File: limits
Comment 6 Dan Stahlke 2013-11-14 12:27:23 EST
Created attachment 824070 [details]
File: maps
Comment 7 Dan Stahlke 2013-11-14 12:27:26 EST
Created attachment 824071 [details]
File: open_fds
Comment 8 Dan Stahlke 2013-11-14 12:27:29 EST
Created attachment 824072 [details]
File: proc_pid_status
Comment 9 Pavel Alexeev 2013-11-16 14:25:55 EST
Could you please try reproduce it again and write what I should type in display?
Comment 10 Dan Stahlke 2013-11-17 15:38:38 EST
I can't seem to reproduce it.
Comment 11 Pavel Alexeev 2013-11-22 03:46:39 EST
Ok, then I close it. Thanks for the report and willing make free software better. Please reopen if it happened again and you will be able provide relevant info.

Note You need to log in before you can comment on or make changes to this bug.